## supply 0.1.0~bpo12+1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=2.0 # Apache-2.0
SQLAlchemy
oslo.config
oslo.db
oslo.log
oslo.middleware
oslo.policy
keystonemiddleware

=== debian/changelog ===
supply (0.1.0~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Initial release. (Closes: #XXXXXX)

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Wed, 17 May 2023 15:21:42 +0000

=== debian/control ===
Source: supply
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-alembic,
 python3-hacking,
 python3-keystonemiddleware,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-sqlalchemy,
 python3-stestr,
 subunit,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/supply
Vcs-Git: https://salsa.debian.org/openstack-team/services/supply.git
Homepage: https://github.com/openstack/supply

Package: python3-supply
Section: python
Architecture: all
Depends:
 alembic,
 python3-alembic,
 python3-keystonemiddleware,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-sqlalchemy,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cluster Provisionning as a Service (CPaaS) - Python files
 Supply does Cluster Provisioning as a Service for all of your servers. Its
 goal is to be a general-purpose deployment system to install any kind of
 clusters. Even if it uses OpenStack libraries, and it is based on Ironic,
 it isn't bound to install OpenStack only, and can be used to deploy any kind
 of workload on your baremetal systems.
 .
 This package contains the Python library.

Package: puppet-module-supply
Architecture: all
Depends:
 puppet-module-aodh,
 puppet-module-arioch-redis,
 puppet-module-barbican,
 puppet-module-camptocamp-openssl,
 puppet-module-ceilometer,
 puppet-module-ceph,
 puppet-module-cinder,
 puppet-module-cloudkitty,
 puppet-module-congress,
 puppet-module-designate,
 puppet-module-duritong-sysctl,
 puppet-module-glance,
 puppet-module-gnocchi,
 puppet-module-heat,
 puppet-module-horizon,
 puppet-module-ironic,
 puppet-module-joshuabaird-ipaclient,
 puppet-module-keystone,
 puppet-module-magnum,
 puppet-module-manila,
 puppet-module-michaeltchapman-galera,
 puppet-module-murano,
 puppet-module-neutron,
 puppet-module-nova,
 puppet-module-octavia,
 puppet-module-openstack-extras,
 puppet-module-openstacklib,
 puppet-module-oslo,
 puppet-module-ovn,
 puppet-module-panko,
 puppet-module-placement,
 puppet-module-puppetlabs-apache (>= 3.1.0),
 puppet-module-puppetlabs-concat,
 puppet-module-puppetlabs-haproxy,
 puppet-module-puppetlabs-ntp,
 puppet-module-puppetlabs-rabbitmq,
 puppet-module-puppetlabs-rsync,
 puppet-module-puppetlabs-tftp,
 puppet-module-puppetlabs-vcsrepo,
 puppet-module-richardc-datacat,
 puppet-module-rodjek-logrotate,
 puppet-module-sahara,
 puppet-module-saz-rsyslog,
 puppet-module-saz-ssh,
 puppet-module-sbitio-monit,
 puppet-module-swift,
 puppet-module-tempest,
 puppet-module-voxpupuli-alternatives,
 puppet-module-voxpupuli-collectd,
 puppet-module-voxpupuli-corosync,
 puppet-module-voxpupuli-kmod,
 puppet-module-vswitch,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cluster Provisionning as a Service (CPaaS) - puppet module
 Supply does Cluster Provisioning as a Service for all of your servers. Its
 goal is to be a general-purpose deployment system to install any kind of
 clusters. Even if it uses OpenStack libraries, and it is based on Ironic,
 it isn't bound to install OpenStack only, and can be used to deploy any kind
 of workload on your baremetal systems.
 .
 This package contains the Supply puppet module.

Package: supply-baremetal
Architecture: all
Depends:
 adduser,
 ca-certificates,
 dbconfig-common,
 debconf,
 haproxy,
 live-build,
 openssl,
 openstack-pkg-tools (>= 121),
 puppet-module-supply,
 puppetserver,
 python3-supply (= ${binary:Version}),
 sqlite3,
 ssl-cert,
 supply-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 grub-efi-amd64-signed,
 grub-efi-arm64-signed,
 shim-signed,
 syslinux-efi,
Description: OpenStack Cluster Provisionning as a Service (CPaaS) - baremetal service
 Supply does Cluster Provisioning as a Service for all of your servers. Its
 goal is to be a general-purpose deployment system to install any kind of
 clusters. Even if it uses OpenStack libraries, and it is based on Ironic,
 it isn't bound to install OpenStack only, and can be used to deploy any kind
 of workload on your baremetal systems.
 .
 This package contains the hardware provisionning module of Supply. It contains
 the Ironic based PXE booting service.

Package: supply-bootstrap
Architecture: all
Depends:
 python3-openstackclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cluster Provisionning as a Service (CPaaS) - bootstrap
 Supply does Cluster Provisioning as a Service for all of your servers. Its
 goal is to be a general-purpose deployment system to install any kind of
 clusters. Even if it uses OpenStack libraries, and it is based on Ironic,
 it isn't bound to install OpenStack only, and can be used to deploy any kind
 of workload on your baremetal systems.
 .
 1. Install supply-bootstrap on your laptop.
 .
 2. Run supply-bootstrap and deploy a PXE server VM on any running OpenStack
 deployment within minutes.

Package: supply-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-supply (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cluster Provisionning as a Service (CPaaS) - common files
 Supply does Cluster Provisioning as a Service for all of your servers. Its
 goal is to be a general-purpose deployment system to install any kind of
 clusters. Even if it uses OpenStack libraries, and it is based on Ironic,
 it isn't bound to install OpenStack only, and can be used to deploy any kind
 of workload on your baremetal systems.
 .
 This package contains common files.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT ?= https://opendev.org/openstack/supply.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog -SVersion | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~git.*//' -e 's/~/.0/' -e 's/+dfsg1//' -e 's/+ds1//' -e 's/.[0]*bpo[0-9]*//' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf debian/*.service debian/*.templates
	rm -rf build
	find . -name '*.pyc' -delete
	rm -rf .stestr
	rm -rf supply.egg-info
	rm -f AUTHORS ChangeLog

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func supply-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func supply-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm supply-common.postrm
	pkgos-merge-templates supply-common supply db ksat

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	pkgos-dh_auto_test --no-py2 'supply\.tests.*'
#endif

	mkdir -p $(CURDIR)/debian/supply-common/usr/share/supply-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/supply-common/usr/share/supply-common/supply.conf \
		--wrap-width 140 \
		--namespace supplyopts \
		--namespace oslo.log \
		--namespace keystonemiddleware.auth_token

	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/supply-common/usr/share/supply-common/supply.conf keystone_authtoken supply

	dh_install
	mkdir -p $(CURDIR)/debian/supply-baremetal
	cp -axuf baremetal/* $(CURDIR)/debian/supply-baremetal
	dh_missing --fail-missing

#override_dh_fixperms:
#	dh_fixperms
#	chmod 640 /etc/supply-baremetal/supply-baremetal.conf

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/supply/tags .*/(\d[brc\d\.]+)\.tar\.gz
